Session keepalive

General plugins (Local) ::: local_session_keepalive
Maintained by Picture of Ulm UniversityUlm University, Picture of Alexander BiasAlexander Bias, Picture of Kathrin OsswaldKathrin Osswald
Moodle plugin which checks for unsent user input in the browser and keeps the user session alive as long as needed to prevent that user input which is sent to the server after the user session has expired will be lost

Session keepalive v3.10-r2

Moodle 3.10
Released: Monday, February 15, 2021, 5:32 PM

moodle-local_session_keepalive

Changes

v3.10-r2

  • 2021-02-05 - Make codechecker fully happy
  • 2021-02-05 - Move Moodle Plugin CI from Travis CI to Github actions

v3.10-r1

  • 2021-01-09 - Prepare compatibility for Moodle 3.10.
  • 2021-01-06 - Change in Moodle release support: For the time being, this plugin is maintained for the most recent LTS release of Moodle as well as the most recent major release of Moodle. Bugfixes are backported to the LTS release. However, new features and improvements are not necessarily backported to the LTS release.
  • 2021-01-06 - Improvement: Declare which major stable version of Moodle this plugin supports (see MDL-59562 for details).

v3.9-r1

  • 2020-09-01 - Fixed broken Behat scenario due to upstream changes for modal dialogues.
  • 2020-09-01 - Prepare compatibility for Moodle 3.9.

v3.8-r1

  • 2020-02-26 - Fix a behat test and added some details to the plugin settings page after the 'Extend session' popup was introduced upstream in MDL-34498.
  • 2020-02-26 - Ship the simple Ajax endpoint sessionkeepalive_ajax.php with this plugin as it was removed upstream in MDL-34498.
  • 2020-02-26 - Prepare compatibility for Moodle 3.8.

v3.7-r1

  • 2019-08-05 - Added Behat tests.
  • 2019-08-05 - Prepare compatibility for Moodle 3.7.

v3.6-r1

  • 2019-01-23 - Check compatibility for Moodle 3.6, no functionality change.
  • 2018-12-05 - Changed travis.yml due to upstream changes.

v3.5-r1

  • 2018-06-01 - Check compatibility for Moodle 3.5, no functionality change.

v3.4-r2

  • 2018-05-16 - Implement Privacy API.

v3.4-r1

  • 2017-12-21 - Check compatibility for Moodle 3.4, no functionality change.

v3.3-r1

  • 2017-12-12 - Check compatibility for Moodle 3.3, no functionality change.
  • 2017-12-05 - Added Workaround to travis.yml for fixing Behat tests with TravisCI.
  • 2017-11-08 - Updated travis.yml to use newer node version for fixing TravisCI error.

v3.2-r4

  • 2017-06-30 - Improvement: Add really short keepalive intervals - Credits to Alexey Lustin

v3.2-r3

  • 2017-05-19 - Bugfix: String in language pack didn't work for Moodle installed in subdirectories - Credits to David Mudrák
  • 2017-05-29 - Add Travis CI support

v3.2-r2

  • 2017-05-19 - Bugfix: Plugin didn't work for Moodle installed in subdirectories - Credits to David Mudrák

v3.2-r1

  • 2017-04-25 - Initial version

Version information

Version build number
2021010901
Version release name
v3.10-r2
Maturity
Stable version
MD5 Sum
1a19940e0db57125726127f5d87e1c0c
Supported software
Moodle 3.10
  • Latest release for Moodle 3.10

Version control information

Version control system (VCS)
GIT
VCS repository URL
VCS tag
v3.10-r2

Default installation instructions for plugins of the type General plugins (Local)

  1. Make sure you have all the required versions.
  2. Download and unpack the module.
  3. Place the folder in the "local" subdirectory.
  4. Visit http://yoursite.com/admin to finish the installation.